* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body,
html {
    height: 100%;
    font-family: 'Arial', sans-serif;
    background: linear-gradient(to right, #6a11cb, #2575fc);
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.weather-app {
    width: 100%;
    max-width: 420px;
    background: rgba(0, 0, 0, 0.3);
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    margin: 20px;
}

.app-header {
    display: flex;
    gap: 10px;
    margin-bottom: 20px;
}

.search-input,
.search-button {
    flex: 1;
    padding: 10px;
    border: none;
    border-radius: 5px;
    outline: none;
}

.search-input {
    flex-grow: 2;
    background: rgba(255, 255, 255, 0.5);
    color: #ffffff;
}
.search-input::placeholder{
    color: #ffffff;
}

.search-button {
    background: #0056b3;
    color: white;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color 0.3s ease;
}

.search-button:hover {
    background-color: #003d7a;
}

.weather-display {
    text-align: center;
}

.temperature {
    font-size: 2.5rem;
    font-weight: bold;
}

.details-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    margin-top: 15px;
}

.details-grid div {
    background: rgba(255, 255, 255, 0.2);
    padding: 10px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.details-grid i {
    margin-right: 5px;
}

.sun-times {
    display: flex;
    justify-content: space-around;
    margin-top: 15px;
}

.weather-description {
    display: flex;
    justify-content: center;
    align-items: center;
}

@media (max-width: 600px) {
    .weather-app {
        padding: 15px;
        margin-top: 11rem;
    }

    .temperature {
        font-size: 2rem;
    }

    .details-grid {
        grid-template-columns: 1fr;
    }
}